Update Channel
curl --request PUT \
--url https://api.eflow.team/v1/networks/channels/{channelId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "TestChannel",
"status": "inactive"
}
'import requests
url = "https://api.eflow.team/v1/networks/channels/{channelId}"
payload = {
"name": "TestChannel",
"status": "inactive"
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'TestChannel', status: 'inactive'})
};
fetch('https://api.eflow.team/v1/networks/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_channel_id": 1,
"network_id": 1,
"name": "TestChannel",
"status": "inactive",
"time_created": 1774712750,
"time_saved": 1774712800,
"relationship": {}
}Channels
Update Channel
PUT
/
networks
/
channels
/
{channelId}
Update Channel
Update an existing channel. This is a full object replacement; all fields must be provided in the request body.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the channel to update.
Body
application/json
Response
200 - application/json
A traffic channel in the network.
Unique channel ID.
Network ID.
Channel name.
Channel status.
Available options:
active, inactive Unix timestamp of creation.
Example:
1734455015
Unix timestamp of last update.
Example:
1734455015
Related data.
Was this page helpful?
⌘I
